@echo off
TITLE Recovery向导导入程序 by 西门小兵
color 3f
:MENU
echo.
ECHO. =================================================
echo.
echo   你即将导入的是Recovery中文版 for 华为U8825d
echo.
echo     --请关闭杀毒软件和手机助手！
echo.
echo     --如果不想导入请关闭此窗口！
echo.
echo     --否则按任意键继续
ECHO.
ECHO.       
ECHO.          by shendu - http://bbs.shendu.com
ECHO.
ECHO. =================================================
ECHO.

pause >nul


:POWERON
CLS
ECHO. =================================================
echo.
echo   按下面所述步骤进入fastboot模式：
echo.
echo.    1.首先你需要安装官方的USB驱动，如果已经安装
echo.
echo.    2.断开USB连接，关闭快速开机功能，关机
echo.
echo.    3.按音量下+开机键进入fastboot模式
echo.
echo.    4.将手机通过USB线连接到电脑
echo.
echo.    ++完成后按任意键继续++
echo.
ECHO. =================================================
pause >nul
CLS
COLOR B0
ECHO. =================================================
echo.
echo.
echo    等待您的手机连接(长时间没响应请关闭窗口重新尝试)，
echo.
ECHO. =================================================
echo.
echo.
fastboot devices
CLS
COLOR C0
ECHO. =================================================
echo.
echo.
echo    导入recovery中，请一定保证手机和电脑的连接正常
echo.
ECHO. =================================================
fastboot flash recovery recovery-new.img >nul
CLS
color 3f
ECHO. =================================================
echo.
echo.
echo    恭喜你成功导入了Recovery！
echo.
echo    手机会自动重启，按任意键关闭此窗口
echo.
echo.
ECHO. =================================================
echo.
echo.
fastboot reboot
pause >nul
goto EXIT


:EXIT
exit